#include <iostream>
#include <vector>
#include <set>
#include <map>
#include <algorithm>
#include <unordered_map>
#include <cassert>

using namespace std;
using ll = long long;

const int mod = 998244353;
const ll inf = 1e18;
const int INF = 1e9;

#define vec vector
#define ff first
#define ss second
#define all(a) a.begin(), a.end()
#define rev reverse
#define umap unordered_map
#define pll pair<ll, ll>
#define pii pair<int, int>
#define len(a) int(a.size())
#define pb push_back


void solve() {
	int tp;
	cin >> tp;
	int n, m;
	cin >> n >> m;
	vec<int> a(n);
	for (int i = 0; i < n; i++) cin >> a[i];
	string s;
	cin >> s;
	if (m % 2 == 1) {
		cout << "Yes\n";
		if (m == 3) assert(0);
		cout << 0 << "\n";
	}
	else {
		cout << "No\n";
	}
}

signed main() {
	ios::sync_with_stdio(0);
	cin.tie(0);
	cout.tie(0);
	int test = 1;
	// cin >> test;
	while (test--) {
		solve();
	}
}